<ion-header>
  <ion-toolbar>
        <ion-buttons slot="start">
            <ion-button color="light" (click)="openMenu()">
                <ion-icon src="assets/icon/ico-menu.svg" size="large"></ion-icon>
            </ion-button>
        </ion-buttons>

        <ion-buttons slot="end">
            <ion-button color="light">
                <img src="../assets/imgs/logo.svg" class="logomain" />
            </ion-button>
        </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>

  <div class="categoria" style="background-image: url(assets/imgs/section1.jpg)">
  </div>
  
  <div class="title_h ion-text-center" padding>Pedidos Recientes</div>
  <!-- ?.slice().reverse() -->
  <div *ngFor="let item of compras" [hidden]="isloading" padding>
    <div class="tarjeta" size="12" padding>
      <ion-row (click)="ver(item.pedId, item)">
        <ion-col>
          <div>Pedido No. PED{{item.id}}</div>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col (click)="ver(item.pedId, item)">
          <div *ngIf="item.estado === 1" class="titulo estado_ok"><span><ion-icon name="checkmark-circle"></ion-icon></span>&nbsp;{{item.tipo}}</div>
          <div *ngIf="item.estado === 2" class="titulo estado_pend"><span><ion-icon name="checkmark-circle"></ion-icon></span>&nbsp;{{item.tipo}}</div>
          <div *ngIf="item.estado === 0" class="titulo estado_false"><span><ion-icon name="close-circle"></ion-icon></span>&nbsp;{{item.tipo}}</div>
        </ion-col> 
        <ion-col class="col-info-compra">          
          <div class="precio" (click)="ver(item.pedId, item)">{{moneda}} {{ unidadNegocio == "2" ? (item.total | currency:"":"":"1.0")  : (item.total | formatoMoneda) }}</div>
          <ion-button fill="outline" size="small" (click)="verReferencia(item)" *ngIf="item.tipoId === 13 && item.estado !== 1">Actualizar pedido</ion-button>
        </ion-col>
      </ion-row>
      <ion-row (click)="ver(item.pedId, item)">
        <ion-col>
          <div class="fecha">{{item.fecha}}</div>
        </ion-col>
      </ion-row>
    </div>
  </div>
  
  <div class="loader" [hidden]="!isloading"><img src="assets/imgs/load.gif" alt="Loading"></div>
</ion-content>